Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class OfficeStyle

    java.lang.Object
      writer2latex.office.OfficeStyle

Direct Known Subclasses:
  FontDeclaration, ListStyle, MasterPage, StyleWithProperties

    public abstract class OfficeStyle

extends java.lang.Object

Abstract class representing a style in OOo

Field Summary
`protected boolean` | `bAutomatic`
`protected OfficeStyleFamily` | `family`
`private java.lang.String` | `sDisplayName`
`private java.lang.String` | `sListStyleName`
`private java.lang.String` | `sMasterPageName`
`protected java.lang.String` | `sName`
`private java.lang.String` | `sParentName`

Constructor Summary
`OfficeStyle()`

Method Summary
`java.lang.String` | `getDisplayName()`
`OfficeStyleFamily` | `getFamily()`
`java.lang.String` | `getListStyleName()`
`java.lang.String` | `getMasterPageName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentName()`
`boolean` | `isAutomatic()`
`void` | `loadStyleFromDOM(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sName

    protected java.lang.String sName

### family

    protected OfficeStyleFamily family

### bAutomatic

    protected boolean bAutomatic

### sDisplayName

    private java.lang.String sDisplayName

### sParentName

    private java.lang.String sParentName

### sListStyleName

    private java.lang.String sListStyleName

### sMasterPageName

    private java.lang.String sMasterPageName

Constructor Detail

### OfficeStyle

    public OfficeStyle()

Method Detail

### getName

    public java.lang.String getName()

### getFamily

    public OfficeStyleFamily getFamily()

### isAutomatic

    public boolean isAutomatic()

### getDisplayName

    public java.lang.String getDisplayName()

### getParentName

    public java.lang.String getParentName()

### getListStyleName

    public java.lang.String getListStyleName()

### getMasterPageName

    public java.lang.String getMasterPageName()

### loadStyleFromDOM

    public void loadStyleFromDOM(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD